Subject: bug#23286: Unable to unlock xscreensaver in Xfce

From: [email-masked] (Ludovic Courtès)
Date: Thu, 14 Apr 2016 18:50:32 +0200

Albin <[email-masked]> skribis:

> I just installed the xscreensaver package in Xfce and added it to
> autostart.  I also enabled the screen lock from the xscreensaver-demo
> window.  Now, if I manually run xflock4 or leave the computer alone for
> a couple of minutes the screensaver starts and when I move the mouse the
> unlock box appears with this text:
>
> XscreenSaver 5.35
> My hostname
> Authentication failed!
> My username
> [OK]

As Chris Webber mentioned on the mailing list (IIRC), you’ll also have
to enable xscreensaver in the OS config:

  (use-modules (gnu services xorg))

  (operating-system
    ;; …
    (services (cons (screen-locker-service "xscreensaver")
                    %desktop-services)))

Could you try and report back?

I guess we’ll enable it by default in %desktop-services.

Thanks,
Ludo’.